"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Data = void 0;
var _util = require("./util.js");
/**
 * Data object.
 */
class Data {
  /**
   * Data constructor.
   */
  constructor() {}

  /**
   * Encode size.
   *
   * @returns The size.
   */

  /**
   * Encode into data.
   *
   * @param data Data encode target.
   */

  /**
   * Encode into data at offset, or new data.
   *
   * @param data The buffer to use.
   * @param offset Offset in the buffer.
   * @returns Encoded data.
   */
  encode(data = null, offset = 0) {
    const {
      size
    } = this;
    data = data ? (0, _util.subview)(data, offset, size) : new Uint8Array(size);
    this.encoder(data);
    return data;
  }
}
exports.Data = Data;
//# sourceMappingURL=data.js.map