"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Fixed8 = void 0;
var _data = require("./data.js");
/**
 * Fixed8 object.
 */
class Fixed8 extends _data.Data {
  /**
   * Float numerator.
   */
  numerator = 0;

  /**
   * Float denominator.
   */
  denominator = 0;

  /**
   * Fixed8 constructor.
   */
  constructor() {
    super();
  }

  /**
   * @inheritdoc
   */
  get size() {
    return 2;
  }

  /**
   * Value.
   *
   * @param value The value.
   */
  set value(value) {
    const i16 = Math.floor(value * 256);
    // eslint-disable-next-line no-bitwise
    this.numerator = i16 >> 8 & 0xff;
    // eslint-disable-next-line no-bitwise
    this.denominator = i16 & 0xff;
  }

  /**
   * Value.
   *
   * @returns The value.
   */
  get value() {
    // eslint-disable-next-line no-bitwise
    const i16 = this.numerator << 8 | this.denominator;
    return i16 / 256;
  }

  /**
   * @inheritdoc
   */
  encoder(data) {
    data[0] = this.denominator;
    data[1] = this.numerator;
  }
}
exports.Fixed8 = Fixed8;
//# sourceMappingURL=fixed8.js.map