"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PatchMenu = void 0;
var _patch = require("../patch.js");
var _patch2 = require("./patch.js");
/**
 * Patch menu spec.
 */

/**
 * PatchMenu object.
 */
class PatchMenu extends _patch2.Patch {
  /**
   * Patch spec.
   */

  _replace_ = [];

  /**
   * @inheritDoc
   */
  check() {
    this._replace_ = [];
    const rep = [];
    for (const {
      count,
      find,
      replace
    } of this._spec) {
      let found = 0;
      for (const [, i, d] of this._findFuzzyCode(find)) {
        found++;
        rep.push([d, i, replace]);
        if (found > count) {
          return false;
        }
      }
      if (found !== count) {
        return false;
      }
    }
    this._replace_ = rep;
    return !!rep.length;
  }

  /**
   * @inheritDoc
   */
  patch() {
    for (const [d, i, f] of this._replace_) {
      (0, _patch.writeFuzzy)(d, i, f);
    }
  }
}
exports.PatchMenu = PatchMenu;
//# sourceMappingURL=menu.js.map