import { ProjectorSa } from '../projector/sa.ts';
import { Bundle } from '../bundle.ts';
/**
 * BundleSa object.
 */
export declare abstract class BundleSa extends Bundle {
    /**
     * ProjectorSa instance.
     */
    abstract readonly projector: ProjectorSa;
    /**
     * BundleSa constructor.
     *
     * @param path Output path.
     * @param flat Flat bundle.
     */
    constructor(path: string, flat?: boolean);
    /**
     * @inheritdoc
     */
    protected _close(): Promise<void>;
    /**
     * Main application file extension.
     *
     * @returns File extension.
     */
    abstract get extension(): string;
    /**
     * Create projector instance for the bundle.
     *
     * @returns Projector instance.
     */
    protected abstract _createProjector(): ProjectorSa;
    /**
     * Write the launcher file.
     */
    protected abstract _writeLauncher(): Promise<void>;
}
