import { ProjectorSaMac } from '../../projector/sa/mac.ts';
import { BundleSa } from '../sa.ts';
/**
 * BundleSaMac object.
 */
export declare class BundleSaMac extends BundleSa {
    /**
     * ProjectorSaMac instance.
     */
    readonly projector: ProjectorSaMac;
    /**
     * BundleSaMac constructor.
     *
     * @param path Output path for the main application.
     * @param flat Flat bundle.
     */
    constructor(path: string, flat?: boolean);
    /**
     * @inheritdoc
     */
    get extension(): string;
    /**
     * Get the launcher name.
     *
     * @returns Launcher name.
     */
    protected _getLauncherName(): string;
    /**
     * @inheritdoc
     */
    protected _getProjectorPathNested(): string;
    /**
     * @inheritdoc
     */
    protected _createProjector(): ProjectorSaMac;
    /**
     * @inheritdoc
     */
    protected _writeLauncher(): Promise<void>;
}
