/**
 * Data object.
 */
export declare abstract class Data {
    /**
     * Data constructor.
     */
    constructor();
    /**
     * Encode size.
     *
     * @returns The size.
     */
    abstract get size(): number;
    /**
     * Encode into data.
     *
     * @param data Data encode target.
     */
    abstract encoder(data: Uint8Array): void;
    /**
     * Encode into data at offset, or new data.
     *
     * @param data The buffer to use.
     * @param offset Offset in the buffer.
     * @returns Encoded data.
     */
    encode(data?: Uint8Array | null, offset?: number): Uint8Array;
}
