import { Data } from './data.ts';
/**
 * Rect object.
 */
export declare class Rect extends Data {
    /**
     * Minimum X.
     */
    xMin: number;
    /**
     * Maximum X.
     */
    xMax: number;
    /**
     * Minimum Y.
     */
    yMin: number;
    /**
     * Maximum Y.
     */
    yMax: number;
    /**
     * Rect constructor.
     */
    constructor();
    /**
     * Number of bits need to encode the values.
     *
     * @returns Bit count.
     */
    get nBits(): number;
    /**
     * @inheritdoc
     */
    get size(): number;
    /**
     * @inheritdoc
     */
    encoder(data: Uint8Array): void;
}
