import { Data } from './data.ts';
import { Rect } from './rect.ts';
import { Fixed8 } from './fixed8.ts';
import { Tag } from './tag.ts';
/**
 * Swf object.
 */
export declare class Swf extends Data {
    /**
     * Format version.
     */
    version: number;
    /**
     * Frame size.
     */
    frameSize: Rect;
    /**
     * Frame rate.
     */
    frameRate: Fixed8;
    /**
     * Frame count.
     */
    frameCount: number;
    /**
     * Movie tags.
     */
    tags: Tag[];
    /**
     * Swf constructor.
     */
    constructor();
    /**
     * @inheritdoc
     */
    get size(): number;
    /**
     * @inheritdoc
     */
    encoder(data: Uint8Array): void;
}
