import { Data } from './data.ts';
/**
 * Tag object.
 */
export declare class Tag extends Data {
    /**
     * Tag code.
     */
    code: number;
    /**
     * Tag data.
     */
    data: Uint8Array;
    /**
     * Tag constructor.
     */
    constructor();
    /**
     * Is the tag a long tag.
     *
     * @returns True if long tag.
     */
    get long(): boolean;
    /**
     * @inheritdoc
     */
    get size(): number;
    /**
     * @inheritdoc
     */
    encoder(data: Uint8Array): void;
}
