import { Elf32, Elf64 } from './elf.ts';
import { Patch } from './patch.ts';
/**
 * Patch menu spec.
 */
export interface IPatchMenuSpec {
    /**
     * Expected number of replacements.
     */
    count: number;
    /**
     * Fuzzy find.
     */
    find: number[];
    /**
     * Fuzzy replace.
     */
    replace: number[];
}
/**
 * PatchMenu object.
 */
export declare abstract class PatchMenu<T extends Elf32 | Elf64> extends Patch<T> {
    /**
     * Patch spec.
     */
    protected abstract _spec: IPatchMenuSpec[];
    private _replace_;
    /**
     * @inheritDoc
     */
    check(): boolean;
    /**
     * @inheritDoc
     */
    patch(): void;
}
