import { Elf64 } from './elf.ts';
import { Patch } from './patch.ts';
/**
 * Patch offset 64-bit spec.
 */
export interface IPatchOffset64Spec {
    /**
     * Fuzzy find.
     */
    find: number[];
    /**
     * Fuzzy replace.
     */
    replace: number[];
}
/**
 * PatchOffset64 object.
 * Replace the bad ELF header reading logic with new logic.
 * The code was never updated from the old 32-bit code and is not accurate.
 */
export declare abstract class PatchOffset64 extends Patch<Elf64> {
    /**
     * Patch spec.
     */
    protected abstract _spec: IPatchOffset64Spec;
    private _replace_;
    /**
     * @inheritDoc
     */
    check(): boolean;
    /**
     * @inheritDoc
     */
    patch(): void;
}
/**
 * Patch objects.
 */
export declare const offset64: (new (elf: Elf64) => PatchOffset64)[];
