import { Elf32, Elf64 } from './elf.ts';
import { Patch } from './patch.ts';
/**
 * PatchPath object.
 * Patch broken Linux projector path code.
 * Replaces bad "file:" prefix with "file://" for projector self URL.
 */
export declare abstract class PatchPath<T extends Elf32 | Elf64> extends Patch<T> {
    /**
     * Get a remapped pointer, if pointer needs remapping.
     *
     * @param ptr Current pointer.
     * @returns Remapped pointer or null.
     */
    protected _getRemap(ptr: number | bigint): T["elfHeader"]["eEntry"] | null;
}
