import { Elf32 } from './elf.ts';
import { PatchPath } from './path.ts';
/**
 * PatchPath32 object.
 */
export declare abstract class PatchPath32 extends PatchPath<Elf32> {
}
/**
 * PatchPath32File object.
 */
declare abstract class PatchPath32File extends PatchPath32 {
    /**
     * Relative offset.
     */
    protected abstract readonly _relative: boolean;
    /**
     * Fuzzy find.
     */
    protected abstract readonly _find: number[];
    /**
     * Address offset.
     */
    protected abstract readonly _offset: number;
    private _addr_;
    private _remap_;
    private _ebx_;
    /**
     * @inheritDoc
     */
    check(): boolean;
    /**
     * @inheritDoc
     */
    patch(): void;
}
/**
 * Patch objects.
 */
export declare const path32: (new (elf: Elf32) => PatchPath32File)[];
export {};
