import { Elf32, Elf64 } from './elf.ts';
import { Patch } from './patch.ts';
export declare const titleMatchM: RegExp;
export declare const titleMatchA: RegExp;
/**
 * PatchTitle object.
 */
export declare abstract class PatchTitle<T extends Elf32 | Elf64> extends Patch<T> {
    /**
     * New title address.
     */
    protected readonly _titleA: T['elfHeader']['eEntry'];
    /**
     * New title length, without null termination.
     */
    protected readonly _titleL: number;
    /**
     * PatchTitle constructor.
     *
     * @param elf ELF object.
     * @param titleA New title address.
     * @param titleL New title length, without null termination.
     */
    constructor(elf: T, titleA: T['elfHeader']['eEntry'], titleL: number);
}
