import { subview } from "./util.mjs";

/**
 * Data object.
 */
export class Data {
  /**
   * Data constructor.
   */
  constructor() {}

  /**
   * Encode size.
   *
   * @returns The size.
   */

  /**
   * Encode into data.
   *
   * @param data Data encode target.
   */

  /**
   * Encode into data at offset, or new data.
   *
   * @param data The buffer to use.
   * @param offset Offset in the buffer.
   * @returns Encoded data.
   */
  encode(data = null, offset = 0) {
    const {
      size
    } = this;
    data = data ? subview(data, offset, size) : new Uint8Array(size);
    this.encoder(data);
    return data;
  }
}
//# sourceMappingURL=data.mjs.map